Bug 362489 - Switch Application Language checkbox to not ask again is not saved
Summary: Switch Application Language checkbox to not ask again is not saved
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: 3.0 Beta
Platform: Microsoft Windows Microsoft Windows
: NOR minor
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-30 02:07 UTC by zeusex81
Modified: 2016-05-04 06:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description zeusex81 2016-04-30 02:07:59 UTC
When we change the application language there is a message that tells us that we need to restart krita, and there is a checkbox to not have this message again, but even if we check it it's not saved, it's only for the session. If we restart krita and change the language the message will be displayed again.
Plus the checkbox's text is always in system language no matter what the current krita lang is.

Reproducible: Always

Steps to Reproduce:
1. Change application language
2. Check the box to not have the confirmation message again
3. Restart krita
4. Change application language

Actual Results:  
The confirmation message pops up again.

Expected Results:  
It shouldn't.
Comment 1 Halla Rempt 2016-05-04 06:33:45 UTC
Git commit 62ff0ee4ce991d1d4bdaa8ff180247835d5dfd75 by Boudewijn Rempt.
Committed on 04/05/2016 at 06:33.
Pushed by rempt into branch 'master'.

For some reason, it just doesn't work.

M  +3    -6    libs/widgetutils/xmlgui/kswitchlanguagedialog_p.cpp

http://commits.kde.org/krita/62ff0ee4ce991d1d4bdaa8ff180247835d5dfd75